%define major 5
%define libname %mklibname %{name} %{major}
%define develname %mklibname %name -d


Summary:	Program for tidying up messy HTML
Name:		tidy-html
Version:	5.2.0
Release:	%mkrel 1
Group:		Text tools
License:	W3C License
URL:		http://www.html-tidy.org/
Source0:	%{name}5-%{version}.tar.xz
BuildRequires:	xsltproc
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	tidy
Provides:	tidy = %version-%release

%description
tidy is a program for tidying up messy html, for example, when we do 
html in vi, and we make the text italic with the <i> </i> tag some of us may
forget to end the italic text with </i>. tidy fixes this.

Install this if you need a program to help you tidy up your HTML.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:  lib64tidy-devel

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -qn%{name}5-%{version}

%build
%cmake -DCMAKE_BUILD_TYPE:STRING=Release
%make

%install
%__rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT -C build

ln -s tidybuffio.h $RPM_BUILD_ROOT%{_includedir}/buffio.h
ln -s tidyplatform.h $RPM_BUILD_ROOT%{_includedir}/platform.h

# unpackaged files
rm -fv $RPM_BUILD_ROOT%{_libdir}/libtidys.a

%clean
%__rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/tidy
%{_mandir}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Sat Oct 08 2016 adrianomorselli <adrianomorselli> 5.2.0-1uplos2016
- rebuild

* Fri Jul 29 2016 bb <bb> 5.2.0-1pclos2016
- update

